Bug 170525 - Intermittent failures in autofs preven remounting of drives
Intermittent failures in autofs preven remounting of drives
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: autofs (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-12 12:04 EDT by Timothy N. Riordan
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-23 13:21:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Timothy N. Riordan 2005-10-12 12:04:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:
With disturbing frequency autofs will refuse to mount a remote smb file system (Windows 2000 Server, Domain 2k3 AD in interum mode). When this happens if I try to get into the file system I get ony 'Input/Output' error when trying to cd into or directly ls a filesystem.

The only way I have found to get it working is to shut down autofs, remove the log entry from etc-mtab and then restart autofs.

-- var log messages

Oct 10 17:50:03 batch-test kernel: smb_lookup: find //EsignPnoteExport failed, error=-5
Oct 10 17:51:13 batch-test kernel: smb_retry: no connection process
Oct 10 17:51:13 batch-test kernel: smb_retry: no connection process
Oct 10 17:51:13 batch-test automount[30707]: expired /log/esign
Oct 10 17:51:13 batch-test automount[30707]: expired /log/esel


Version-Release number of selected component (if applicable):
Kernel 2.4.9-e.62, AutoFS 3.1.7-51

How reproducible:
Sometimes

Steps to Reproduce:
1. I have not found and particular way to purposefully reproduce this, but I have found that it happens pretty often (a few times a week)

Additional info:
Comment 1 Jeffrey Moyer 2005-10-17 17:20:58 EDT
Please add a line like this to your /etc/syslog.conf, and restart syslog:

daemon.*       /var/log/daemon.log

You can restart syslogd with:

service syslog restart

Then, please attach the relevant portion of that log to this bugzilla when the
problem appears.  Please also attach copies of your auto.master and other
relevant maps.
Comment 2 Jeffrey Moyer 2006-05-23 13:21:05 EDT
Since the required data to debug the problem was not provided, and as2.1 is open
only for security related fixes, I'm closing this bug.

Note You need to log in before you can comment on or make changes to this bug.